GCLOUD_SOURCE_REPOS_CREATE(1)

NAME

gcloud source repos create - create a cloud source repository

SYNOPSIS

gcloud source repos create REPOSITORY_NAME [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
This command creates a named git repository for the currently active Google Cloud Platform project.

POSITIONAL ARGUMENTS

    REPOSITORY_NAME
        Name of the repository. May contain between 3 and 63 (inclusive) lowercase letters, digits, and hyphens. Must start with a letter, and may not end with a hyphen.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.

EXAMPLES
To create a named repository in the current project issue the following commands:
    $ gcloud init $ gcloud source repos create REPOSITORY_NAME
Once you push contents to it, they can be browsed in the Developers Console.